Google Cast no longer finds Chromecast device

Bug #1621753 reported by Jari Tenhunen on 2016-09-09
154
This bug affects 30 people
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
Medium
Olivier Tilloy

Bug Description

After upgrading to latest chromium-browser version (52.0.2743.116-0ubuntu0.16.04.1.1250), the Google Cast extension no longer finds the Chromecast (v2) device. This used to work with the previous chromium version.

Also, google-chrome-stable 53.0.2785.101-1 works fine on the same box, so the issue is with the chromium update.

Richard (f-richaad-h) wrote :

I am similarly affected by this issue, we have a large number of Chromecasts on our network, v1 and v2 and whilst the previous version of Chromium worked just fine with the plugin installed this new version is broken in some regard.

google-chrome-stable 53.0.2785.101-1 package does work, however.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in chromium-browser (Ubuntu):
status: New → Confirmed
Jari Tenhunen (jari-tenhunen) wrote :

Same thing: google-chrome-stable 53.0.2785.101-1 works fine on the same box, so the issue is with the chromium update.

description: updated
ChrisC (ccurrier99) wrote :

may not be an ubuntu bug...on Mint 17.1 using Chrome 64.....after a recent Chrome update my extension became inactive whenever chrome started. Each time I have to go to extension menu, find google cast, and turn it back on. I think this may be a Google issue.....

Evan Carroll (evancarroll) wrote :

Workaround for the problem found here http://askubuntu.com/a/825904/29097

DrPotoroo (mcq-public) wrote :

Workaround no longer works (Version 55.0.2883.87)

John Tzirvelakis (chatrachus) wrote :

Workaround no longer works Evans...

OlaRune (olarune) wrote :

I have this problem on Arch Linux with Chromium 56.0.2924.87 as well.

Bilal Ahmad (3chohunter) wrote :

No longer working on Chromium Version 55.0.2883.87 Ubuntu 16.04.

Changed in chromium-browser (Ubuntu):
status: Confirmed → Incomplete
Bilal Ahmad (3chohunter) wrote :

From chrome://inspect:

Error in event handler for cast.channel.onMessage: Error: Invalid value for RTP params
    at eB.d.t9 (chrome-extension://boadgeojelhgndaghljhdicfkmllpafd/background_script.js:1077:511)
    at eB.d.em (chrome-extension://boadgeojelhgndaghljhdicfkmllpafd/background_script.js:1080:323)
    at qj.d.T0 (chrome-extension://boadgeojelhgndaghljhdicfkmllpafd/background_script.js:452:742)
    at $k.d.Oo (chrome-extension://boadgeojelhgndaghljhdicfkmllpafd/background_script.js:127:207)
    at $k.d.dispatchEvent (chrome-extension://boadgeojelhgndaghljhdicfkmllpafd/background_script.js:125:357)
    at $k.d.em (chrome-extension://boadgeojelhgndaghljhdicfkmllpafd/background_script.js:456:477)

Chad Miller (cmiller) wrote :

Bilal, please do not change bug status without permission.

Changed in chromium-browser (Ubuntu):
status: Incomplete → Confirmed
Chad Miller (cmiller) wrote :

Verified. Fixed in code. New version available soon.

Changed in chromium-browser (Ubuntu):
status: Confirmed → Fix Committed
importance: Undecided → Medium
assignee: nobody → Chad Miller (cmiller)
Georg Grabler (ggrabler) wrote :

Since other distros have this issue as well, you care to share what the reason was?
Do you have a patch?
Was it fixed upstream?

Anything that could help other distros would be appreciated.

firespeaker (firespeaker) wrote :

I appear to be having a similar issue in the following versions:
Chromium 56.0.2924.76 built on Debian 9.0, running on Debian 9.0
Chromium 57.0.2987.98 built on Debian 9.0, running on Debian 9.0

But it seems to be okay in this version:
Chromium 56.0.2924.76 Built on 8.7, running on Debian 8.7

The chromecast device has additionally been confirmed to work okay with Chrome on Windows and various apps on Android.

@Chad could you elaborate on whether the fix made it into a released version? I just tested version 57.0.2987.98-0ubuntu0.16.04.1276, released on 2017-03-15, and now I get the following behaviour:

With media-router flag disabled: "No Cast destinations found".

With media-router flag enabled: almost instant crash on start, with the following console output:

[8913:8913:0405/235646.257452:ERROR:account_tracker.cc(356)] OnGetTokenFailure: Invalid credentials.
[8913:8913:0405/235646.257536:ERROR:account_tracker.cc(356)] OnGetTokenFailure: Invalid credentials.
[9227:9227:0405/235646.755599:ERROR:child_thread_impl.cc(762)] Request for unknown Channel-associated interface: ui::mojom::GpuMain
[1] 8913 segmentation fault (core dumped) chromium-browser

Actually I just checked and the same console output is emitted when the media router flag is disabled, only without the segfault. I could try to get a stacktrace in gdb if you'd like.

Chad Miller (cmiller) wrote :

Please try with a fresh profile, and no additional flags on command line, OMF. If it doesn't work, open a new bug report. In a terminal, "ubuntu-bug chromium-browser" to report it.

Then run in a terminal, and paste its output in the new bug report.

avahi-browse --terminate _googlecast._tcp; echo $?

Hi Chad,

It still does not work. If the bug make it, please mark as fixed released. Otherwise, If we create a new bug, someone is going to mark it as duplicated...

$ chromium-browser --version
Chromium 57.0.2987.98 Built on Ubuntu , running on Ubuntu 17.04

$ avahi-browse --terminate _googlecast._tcp; echo $?
+ wlan0 IPv4 Chromecast-5632d20d2ca0355c12763ed023d6a7d2 _googlecast._tcp local

test done with a fresh profile.

Chad Miller (cmiller) wrote :

I tried this on a third machine and it doesn't work there. I have something to debug now. I'll fix.

Changed in chromium-browser (Ubuntu):
status: Fix Committed → Confirmed
Chad Miller (cmiller) wrote :

Useful URL:

chrome://media-router/

Chad Miller (cmiller) wrote :

Lionel, if you launch with additional parameter below, does anything change for you?

--load-media-router-component-extension

Hi Chad,

No changes on my side running chromium with a fresh profile and --load-media-router-component-extension option.

rileyrg (rileyrg) wrote :

Debian testing chromium 57.0.2987.98 built on Debian 9 also can not detect any devices. This is a real deal breaker. Google chrome stable working fine but doesn't allow gnome shell extensions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 58.0.3029.81-0ubuntu0.14.04.1172

---------------
chromium-browser (58.0.3029.81-0ubuntu0.14.04.1172) trusty; urgency=medium

  * Upstream release: 58.0.3029.81
    - CVE-2017-5057: Type confusion in PDFium.
    - CVE-2017-5058: Heap use after free in Print Preview.
    - CVE-2017-5059: Type confusion in Blink.
    - CVE-2017-5060: URL spoofing in Omnibox.
    - CVE-2017-5061: URL spoofing in Omnibox.
    - CVE-2017-5062: Use after free in Chrome Apps.
    - CVE-2017-5063: Heap overflow in Skia.
    - CVE-2017-5064: Use after free in Blink.
    - CVE-2017-5065: Incorrect UI in Blink.
    - CVE-2017-5066: Incorrect signature handing in Networking.
    - CVE-2017-5067: URL spoofing in Omnibox.
    - CVE-2017-5069: Cross-origin bypass in Blink.
  * debian/patches/arm.patch: removed, no longer needed
  * debian/patches/gtk-ui-stdmove: removed, no longer needed (upstreamed)
  * debian/patches/screen_capturer: removed, no longer needed (upstreamed)
  * debian/patches/default-allocator: refreshed
  * debian/patches/disable-sse2: refreshed
  * debian/patches/enable-chromecast-by-default: refreshed
  * debian/patches/fix_building_widevinecdm_with_chromium.patch: refreshed
  * debian/patches/search-credit.patch: refreshed
  * debian/patches/snapshot-library-link: refreshed
  * debian/patches/title-bar-default-system.patch-v35: refreshed
  * debian/patches/fix-gn-bootstrap.patch: added
  * debian/rules: disable the use of Vulcanize, the required node.js modules
    are not readily available

 -- Olivier Tilloy <email address hidden> Mon, 24 Apr 2017 11:56:01 +0200

Changed in chromium-browser (Ubuntu):
status: Confirmed → Fix Released

Hi,

I have been testing again the chromecast with last upload, and it is still the same thing.

chromecast is not seen in chromium (it is seen with a chrome) and avahi still see the chromecast.

Changed in chromium-browser (Ubuntu):
status: Fix Released → Confirmed
Frank Radeke (fradikal) wrote :

Hi,

the bug is still alive here as well.
Tested today with Chromium:
Version 58.0.3029.81 Built on Ubuntu , running on Ubuntu 16.04 (64-bit)
"No Casting devices found"

With Chrome Version 58.0.3029.81 (64-bit):
All devices are found and working.

Juan F. Cadenas (micenas) wrote :

I have followed those steps, and rarely (really few) works. But the usual is that chromium is closed as soon as I try to send content to the device ... and I must start over with chromium-browser --disable-extensions

I'm using Version 58.0.3029.81 Built on Ubuntu, running on Ubuntu 14.04,

Hugh Spencer (hugh-g-spencer) wrote :

I'm using Version 58.0.3029.110 Built on Ubuntu , running on LinuxMint 18 (64-bit) and it exhibits the same behaviour; "no casting devices found". Chrome works just fine on the same machine (Dell XPS).
I set media router to disabled and started Chromium with --load-media-router-component-extension.

Olivier Tilloy (osomon) on 2017-05-30
Changed in chromium-browser (Ubuntu):
assignee: Chad Miller (cmiller) → Olivier Tilloy (osomon)
Olivier Tilloy (osomon) on 2017-05-31
Changed in chromium-browser (Ubuntu):
status: Confirmed → In Progress
Olivier Tilloy (osomon) wrote :
Changed in chromium-browser (Ubuntu):
status: In Progress → Fix Committed
Juan F. Cadenas (micenas) wrote :

thank you very much
Excuse me for my inexperience, but I do not see version 59 in the Ubuntu repositories. I only see the 58.0.3029.110

Is it possible to use another source for downloading?

thanks in advance

Olivier Tilloy (osomon) wrote :

Version 59 is not in the repositories yet, but will hopefully be there very soon. Watch for when the status of this bug changes to "Fix Released".

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 59.0.3071.109-0ubuntu0.17.04.1360

---------------
chromium-browser (59.0.3071.109-0ubuntu0.17.04.1360) zesty; urgency=medium

  * Upstream release: 59.0.3071.109

 -- Olivier Tilloy <email address hidden> Wed, 21 Jun 2017 06:37:28 +0200

Changed in chromium-browser (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 59.0.3071.109-0ubuntu0.16.10.1357

---------------
chromium-browser (59.0.3071.109-0ubuntu0.16.10.1357) yakkety; urgency=medium

  * Upstream release: 59.0.3071.109

 -- Olivier Tilloy <email address hidden> Wed, 21 Jun 2017 06:45:30 +0200

Changed in chromium-browser (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 59.0.3071.109-0ubuntu0.14.04.1186

---------------
chromium-browser (59.0.3071.109-0ubuntu0.14.04.1186) trusty; urgency=medium

  * Upstream release: 59.0.3071.109

 -- Olivier Tilloy <email address hidden> Wed, 21 Jun 2017 06:54:41 +0200

Changed in chromium-browser (Ubuntu):
status: Fix Committed → Fix Released
Ron H (inthelight) wrote :

Running 59.0.3071.109 on three different systems, two with Ubuntu 16.04 LTS and one with Ubuntu 14.04 LTS. All three systems now find the Chromecast device but Chromium randomly crashes and exits on both 16.04 systems and runs normally on the 14.04 system. If I change the 'load media router component extension' setting in Chromium from default to disabled on the 16.04 boxes then the crashes go away but I don't find the Chromecast device. It definitely seems to be related to casting being enabled. Anyone else seeing this behavior?

inthelight, could you run chromium from the console and paste the stack trace when it crashes? Also, please try it with a temporary new user directory (--user-data-dir=/tmp/foo or something)

Olivier Tilloy (osomon) wrote :

@Ron & @Ryan: this is a known crash, tracked by bug #1702407, and a fix is on its way.

Juan F. Cadenas (micenas) wrote :

Thanks, Olivier !!

JF

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers